<h1 mat-dialog-title>Configurateur de prix</h1>
<div mat-dialog-content>
    <div>
        <mat-form-field style="width:100%;" appearance="outline">
            <mat-label>Trajet</mat-label>
            <!-- <mat-select [(ngModel)]="selectedTripIds" multiple>
                <mat-option *ngFor="let trip of connection.Trips" [value]="trip.ID">{{trip.FullTripLabel}}</mat-option>
            </mat-select> -->
            <input matInput [readonly]="true" [(ngModel)]="tripEntity.FullTripLabel">
        </mat-form-field>
    </div>
    <div style="height: 550px;">

        <div class="price-trip-list">
            <ng-container *ngIf="tripEntity?.PriceTrips?.length">
                <div *ngFor="let item of tripEntity.PriceTrips" class="mt-5 d-flex"
                    style="gap:30px;justify-content: center;">
                    <div style="text-align: right;width: 45%;">
                        <p style="line-height: 3.2em;"> {{ item.DepartArret.City.CityValue.Label }} - {{
                            item.ArrivalArret.City.CityValue.Label }} </p>
                    </div>

                    <mat-form-field appearance="outline" style="width: 45%;">
                        <mat-label>Prix</mat-label>
                        <input type="number" matInput placeholder="Prix" [(ngModel)]="item.Price" />
                        <mat-icon fontSet="material-symbols-rounded" matSuffix>euro_symbol</mat-icon>
                    </mat-form-field>
                </div>
            </ng-container>
        </div>
        <div *ngIf="errorMessages.length">
            <ng-container *ngFor="let error of errorMessages">
                <p style="color: red;">{{ error }}</p>
            </ng-container>
        </div>
    </div>




</div>
<div class="d-flex" mat-dialog-actions>
    <button mat-flat-button color="primary" (click)="validate()">Valider</button>
    <button mat-flat-button color="warn" (click)="close()">Fermer</button>
</div>